/*****************************************************************************
* | File      	:   BLE_test.c
* | Author      :   
* | Function    :   test Demo
* | Info        :
*----------------
* |	This version:   V1.0
* | Date        :   2021-11-30
* | Info        :   
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documnetation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of theex Software, and to permit persons to  whom the Software is
# furished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
******************************************************************************/
#include "BLE.h"

void setup() {
  Serial.begin(115200);
  delay(3000);
  UART_Init(UART_IRQ_OFF);
  UART_RX_CMD();
  BluetoothModule *ble = (BluetoothModule *)malloc(sizeof(BluetoothModule));
  // Query the statue of BLE
  Query_BLE_Switch(ble);
  if (ble->BLE_Switch == 1) 
  {
      Serial.printf("BLE to open up\n");
  }
  else if (ble->BLE_Switch == 0) 
  {
      Serial.printf("BLE to shut down\n");
  }
  // Change the statue of BLE
  uint8_t BLE_Switch = 1;
  if( BLE_Switch == 1 )
      if( true == ON_BLE(ble) )
          Serial.printf("Enable BLE function\n");
  if( BLE_Switch == 0 )
      if( true == OFF_BLE(ble) )
          Serial.printf("Disable BLE function\n");
  // The settings will take effect after powering on again
}

void loop() {
  
}

