/*****************************************************************************
* | File      	:   BLE_test.c
* | Author      :   
* | Function    :   test Demo
* | Info        :
*----------------
* |	This version:   V1.0
* | Date        :   2021-11-30
* | Info        :   
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documnetation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of theex Software, and to permit persons to  whom the Software is
# furished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
******************************************************************************/
#include "BLE.h"
#include "hardware/vreg.h"

#define VREG_VSEL VREG_VOLTAGE_0_90

void setup() {
  //You need to send the command "usb" every time before uploading the program
  Serial.begin(115200);
  vreg_set_voltage(VREG_VSEL);
  delay(10);
  set_sys_clock_khz(20000, true);
  UART_Init(UART_IRQ_OFF);
  BluetoothModule *ble = (BluetoothModule *)malloc(sizeof(BluetoothModule));
  BLE_Init(ble);
}

void loop() {
  UART_Read_Write();
}

