/*****************************************************************************
* | File      	:   CMD.h
* | Author      :   
* | Function    :   Order to define
* | Info        :
*----------------
* |	This version:   V1.0
* | Date        :   2021-11-30
* | Info        :   
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documnetation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of theex Software, and to permit persons to  whom the Software is
# furished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
******************************************************************************/
#ifndef _CMD_H_
#define _CMD_H_

// Restore Factory Defaults
#define  Factory_Reset_Cmd                  "AT+CW\r\n"

// Reset
#define  Reset_Cmd                          "AT+CZ\r\n"

// Set baud rate
int Baud_Rate_ALL[] = {
    9600,19200,38400,
    57600,115200,256000,
    512000,230400,460800,
    1000000,31250,2400,
    4800
};

const char* Baud_Rate_CMD[] = {
    "AT+CT01\r\n", "AT+CT02\r\n", "AT+CT03\r\n",
    "AT+CT04\r\n", "AT+CT05\r\n", "AT+CT06\r\n",
    "AT+CT07\r\n", "AT+CT08\r\n", "AT+CT09\r\n",
    "AT+CT10\r\n", "AT+CT11\r\n", "AT+CT12\r\n",
    "AT+CT13\r\n"
};              
// Query baud rate
#define  Baud_Rate_Query                    "AT+QT\r\n"

// Chip low power Settings
#define  Not_Low_Power                      "AT+CL00\r\n"
#define  Low_Power                          "AT+CL01\r\n"
// Chip low power Query
#define  Low_Power_Query                    "AT+QL\r\n"

// Set the bluetooth name and address
#define Name_BLE_Set                        "AT+BM%s\r\n"
#define Name_SPP_Set                        "AT+BD%s\r\n"
#define ADD_SET                             "AT+BN%s\r\n"
// Example Query the name and address of bluetooth
#define Name_BLE_Query                      "AT+TM\r\n"
#define Name_SPP_Query                      "AT+TD\r\n"
#define ADD_Query                           "AT+TN\r\n"

// ON or OFF BLE
#define BLE_ON                              "AT+B401\r\n"
#define BLE_OFF                             "AT+B400\r\n"
// BLE Switch Query
#define BLE_Switch_Query                    "AT+T4\r\n"

// ON or OFF SPP
#define SPP_ON                              "AT+B501\r\n"
#define SPP_OFF                             "AT+B500\r\n"
// SPP Switch Query
#define SPP_Switch_Query                    "AT+T5\r\n"

// ERROR
#define ERROR_1                             "ER+1\r\n"
#define ERROR_2                             "ER+2\r\n"
#define ERROR_3                             "ER+3\r\n"
#define ERROR_4                             "ER+4\r\n"
#define ERROR_5                             "ER+5\r\n"
#define ERROR_6                             "ER+6\r\n"
#define ERROR_7                             "ER+7\r\n"
#define ERROR_8                             "ER+8\r\n"

#endif

