/*****************************************************************************
* | File      	:   BLE_test.c
* | Author      :   
* | Function    :   test Demo
* | Info        :
*----------------
* |	This version:   V1.0
* | Date        :   2021-11-30
* | Info        :   
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documnetation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of theex Software, and to permit persons to  whom the Software is
# furished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
******************************************************************************/
#include "BLE.h"

extern uint8_t Data_RX[50];

void setup() {
  Serial.begin(115200);
  delay(3000);
  UART_Init(UART_IRQ_OFF);
  UART_RX_CMD();
  BluetoothModule *ble = (BluetoothModule *)malloc(sizeof(BluetoothModule));
  Query_Power_Low(ble);
  if (ble->Low_Power_Mode == 0) 
  {
      Serial.printf("Normal operating mode\n");
  }
  else if (ble->Low_Power_Mode == 1) 
  {
      Serial.printf("Low power operation mode\n");
  }
  // Change the Power mode of Bluetooth
  uint8_t Low_Power_Mode = 1;
  if( Low_Power_Mode == 1 )
      if( true == ON_Low_Power_Mode(ble) )
          Serial.printf("Change mode to low power mode\n");
  if( Low_Power_Mode == 0 )
      if( true == OFF_Low_Power_Mode(ble) )
          Serial.printf("Change mode to normal mode\n");
  // Query the Power mode of Bluetooth
  // The settings will take effect after powering on again
}

void loop() {
  UART_Read_Write();
}
