from machine import UART, Pin
from bluetooth_commands import BluetoothModule
import time
import rp2


# Bluetooth connection detection pin
BLE_MODE_PIN = Pin(15 , Pin.IN , Pin.PULL_UP)

uart = UART(1, baudrate=115200, tx=Pin(20), rx=Pin(21))

ble = BluetoothModule(uart)

def Pico_BLE_init():
    if( BLE_MODE_PIN.value() == 0 ):
        print("Please connect the device with your mobile phone")
    while(BLE_MODE_PIN.value() == 0):
        time.sleep_ms(1)
    while(True):
        ble.Write("Remove the interference")
        time.sleep_ms(20)
        Data_RX = ble.Read(6)
        if( Data_RX == b"ER+7\r\n" ):
            print("Enable notify on the mobile phone\r\n")
        else:
            print("The connection is successful\r\n")
            ble.Write("The connection is successful")
            time.sleep_ms(100)
            break
        Data_RX = ''
        time.sleep_ms(1000)
        
    # Querying Basic Information
    ble.Query_Baud_Rate()
    ble.Query_Low_Power()
    ble.Query_Name_BLE()
    ble.Query_Name_SPP()
    ble.Query_ADD()
    ble.Query_BLE_Switch()
    ble.Query_SPP_Switch()
    ble.Read_Attributes()

    # Change the name of Bluetooth
    if( True == ble.Set_Name_BLE() ):
        ble.Query_Name_BLE()
        print("BLE was successfully renamed to : %s"%ble.Name_BLE)
        ble.Write("BLE was successfully renamed to : ")
        ble.Write(ble.Name_BLE)
    time.sleep_ms(100)
    if( True == ble.Set_Name_SPP() ):
        ble.Query_Name_SPP()
        print("SPP was successfully renamed to : %s"%ble.Name_SPP)
        ble.Write("SPP was successfully renamed to : ")
        ble.Write(ble.Name_SPP)
    time.sleep_ms(100)
    
if __name__ == "__main__":
    Pico_BLE_init()
    while True:
        rxData = ble.Read_Write()
        if rxData is not None:
            print(rxData)
            if(True == ble.My_Cmd(rxData)):
                ble.Write(" cmd takes effect!")
        time.sleep_ms(20)
        



