import time
from machine import Pin
import rp2

class WS2812:
    def __init__(self):
        self.r = 0
        self.g = 0
        self.b = 0
        
        @rp2.asm_pio(sideset_init=rp2.PIO.OUT_LOW, out_shiftdir=rp2.PIO.SHIFT_LEFT, autopull=True, pull_thresh=24)
        def ws2812():
            T1 = 2
            T2 = 5
            T3 = 3
            wrap_target()
            label("bitloop")
            out(x, 1)               .side(0)    [T3 - 1]
            jmp(not_x, "do_zero")   .side(1)    [T1 - 1]
            jmp("bitloop")          .side(1)    [T2 - 1]
            label("do_zero")
            nop()                   .side(0)    [T2 - 1]
            wrap()
        
        self.sm = rp2.StateMachine(0, ws2812, freq=8_000_000, sideset_base=Pin(16))
        self.sm.active(1)
    
    def set_color(self, r, g, b):
        rgb = (g << 24) | (r << 16) | (b << 8)
        self.sm.put(rgb)
    
    def RGB_Red(self):
        self.set_color(0,100,0)
    
    def RGB_Green(self):
        self.set_color(100,0,0)
        
    def RGB_Blue(self):
        self.set_color(0,0,100)
        
    def RGB_Close(self):
        self.set_color(0,0,0)


